import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.jboss.odbc.*;
/**
 *
 * @author pmacik
 */
public class RunTest {
   private static ExecutorService executor;

   public static void main(String[] args) {
      try {
         executor = Executors.newFixedThreadPool(Integer.valueOf(args[3]));
         System.loadLibrary(args[0]);
         int count = Integer.valueOf(args[4]);
         long pre = System.currentTimeMillis();
         for (int i = 0; i < count; i++) {
            executor.execute(new ODBCClientExecutor(args[1], args[2]));
         }
         executor.shutdown();
         executor.awaitTermination(1, TimeUnit.HOURS);
         long post = System.currentTimeMillis();
         long time = post - pre;
         Logger.getLogger(RunTest.class.getName()).log(Level.INFO, "{0} iteration was performed in {1} ms ({2} it/s)", new Object[]{count, time, 1000f * count / time});
      } catch (InterruptedException ex) {
         Logger.getLogger(RunTest.class.getName()).log(Level.SEVERE, null, ex);
      }
   }
}
