package org.jboss.odbc;

import java.io.IOException;

/**
 *
 * @author pmacik
 */
public class ODBCClientExecutor implements Runnable {
   private String odbcConnection = "";
   private String query = "";

   public ODBCClientExecutor(String odbcConnection, String query) {
      this.odbcConnection = odbcConnection;
      this.query = query;
   }

   @Override
   public void run() {
      try {
         long pre = System.currentTimeMillis();
         ODBCClient c = ODBCClient.newInstance();
         c.connect(odbcConnection);
         c.execute(query);
         c.freeStatement();
         c.disconnect();
         c.finish();
         long post = System.currentTimeMillis();
         System.out.println((post - pre) + " ms");
      } catch (IOException ioe) {
         ioe.printStackTrace();
      }
   }
}
